{
    "$graph": [
        {
            "class": "CommandLineTool",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": "${ var LIST = inputs.in_gz; LIST.push(inputs.in_txt2); return LIST; }"
                }
            ],
            "baseCommand": [
                "md5sum"
            ],
            "arguments": [
                {
                    "position": 1,
                    "prefix": "-c",
                    "valueFrom": "$(inputs.in_txt2.basename)"
                }
            ],
            "inputs": [
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "id": "#check_md5sum.cwl/in_gz"
                },
                {
                    "type": "File",
                    "id": "#check_md5sum.cwl/in_txt2"
                }
            ],
            "stderr": "${ var X = (inputs.in_txt2); return X.nameroot + '.log'; }",
            "id": "#check_md5sum.cwl",
            "outputs": [
                {
                    "type": "File",
                    "id": "#check_md5sum.cwl/out_check_log",
                    "outputBinding": {
                        "glob": "${ var X = (inputs.in_txt2); return X.nameroot + '.log'; }"
                    }
                }
            ]
        },
        {
            "class": "CommandLineTool",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": "${ var LIST = [(inputs.in_txt)]; return LIST; }"
                }
            ],
            "baseCommand": [
                "egrep"
            ],
            "arguments": [
                {
                    "position": 1,
                    "valueFrom": "${ var A = inputs.in_gz; var B = []; for (var i = 0; i < A.length; i++) { B = B + A[i].basename; if(i != A.length-1) { B = B + '|'; } } return B; }"
                },
                {
                    "position": 2,
                    "valueFrom": "$(inputs.in_txt.basename)"
                }
            ],
            "inputs": [
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "id": "#extract_md5checksums.cwl/in_gz"
                },
                {
                    "type": "File",
                    "id": "#extract_md5checksums.cwl/in_txt"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "id": "#extract_md5checksums.cwl/out_txt2",
                    "outputBinding": {
                        "glob": "md5checksums.txt2"
                    }
                }
            ],
            "stdout": "md5checksums.txt2",
            "id": "#extract_md5checksums.cwl"
        },
        {
            "class": "CommandLineTool",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": "${ var LIST = inputs.in_gz; return LIST; }"
                }
            ],
            "baseCommand": [
                "gzip"
            ],
            "arguments": [
                {
                    "position": 1,
                    "prefix": "-df",
                    "valueFrom": "$(inputs.in_gz)"
                }
            ],
            "inputs": [
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "id": "#gunzip.cwl/in_gz"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": [
                            "*.fna",
                            "*.faa",
                            "*.fa"
                        ]
                    },
                    "id": "#gunzip.cwl/out_genomic_fasta"
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": [
                            "*.gff",
                            "*.gff3"
                        ]
                    },
                    "id": "#gunzip.cwl/out_genomic_gff"
                }
            ],
            "id": "#gunzip.cwl"
        },
        {
            "class": "CommandLineTool",
            "baseCommand": [
                "wget"
            ],
            "inputs": [
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "inputBinding": {
                        "position": 1
                    },
                    "id": "#wget.cwl/in_wget_genomic"
                }
            ],
            "outputs": [
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "outputBinding": {
                        "glob": [
                            "*.gz"
                        ]
                    },
                    "id": "#wget.cwl/out_gz"
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": [
                            "md5checksums.txt"
                        ]
                    },
                    "id": "#wget.cwl/out_txt"
                }
            ],
            "id": "#wget.cwl"
        },
        {
            "class": "Workflow",
            "requirements": [
                {
                    "class": "MultipleInputFeatureRequirement"
                },
                {
                    "class": "InlineJavascriptRequirement"
                }
            ],
            "inputs": [
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#main/in_wget_genomic"
                }
            ],
            "steps": [
                {
                    "run": "#check_md5sum.cwl",
                    "in": [
                        {
                            "source": "#main/wget/out_gz",
                            "id": "#main/check_md5sum/in_gz"
                        },
                        {
                            "source": "#main/extract_md5checksums/out_txt2",
                            "id": "#main/check_md5sum/in_txt2"
                        }
                    ],
                    "out": [
                        "#main/check_md5sum/out_check_log"
                    ],
                    "id": "#main/check_md5sum"
                },
                {
                    "run": "#extract_md5checksums.cwl",
                    "in": [
                        {
                            "source": "#main/wget/out_gz",
                            "id": "#main/extract_md5checksums/in_gz"
                        },
                        {
                            "source": "#main/wget/out_txt",
                            "id": "#main/extract_md5checksums/in_txt"
                        }
                    ],
                    "out": [
                        "#main/extract_md5checksums/out_txt2"
                    ],
                    "id": "#main/extract_md5checksums"
                },
                {
                    "run": "#gunzip.cwl",
                    "in": [
                        {
                            "source": "#main/wget/out_gz",
                            "id": "#main/gunzip/in_gz"
                        }
                    ],
                    "out": [
                        "#main/gunzip/out_genomic_fasta",
                        "#main/gunzip/out_genomic_gff"
                    ],
                    "id": "#main/gunzip"
                },
                {
                    "run": "#wget.cwl",
                    "in": [
                        {
                            "source": "#main/in_wget_genomic",
                            "id": "#main/wget/in_wget_genomic"
                        }
                    ],
                    "out": [
                        "#main/wget/out_txt",
                        "#main/wget/out_gz"
                    ],
                    "id": "#main/wget"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputSource": "#main/check_md5sum/out_check_log",
                    "id": "#main/OUT_check_log"
                },
                {
                    "type": "File",
                    "outputSource": "#main/gunzip/out_genomic_fasta",
                    "id": "#main/OUT_genomic_fasta"
                },
                {
                    "type": "File",
                    "outputSource": "#main/gunzip/out_genomic_gff",
                    "id": "#main/OUT_genomic_gff"
                },
                {
                    "type": "File",
                    "outputSource": "#main/wget/out_txt",
                    "id": "#main/OUT_txt"
                },
                {
                    "type": "File",
                    "outputSource": "#main/extract_md5checksums/out_txt2",
                    "id": "#main/OUT_txt2"
                }
            ],
            "id": "#main"
        }
    ],
    "cwlVersion": "v1.0"
}
